Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Generate a Enchanted Link for a test user.
This endpoint is used to generate a Enchanted Link for a test user. You can define whether this is sent via email or sms.
Once you generate the Enchanted Link Token must be verified via verify token
See Also
- See Enchanted link Authentication for details about implementing enchanted links.
- See Create a user with the
testflag set to true to set it as a test user. - See Manage Test Users for more information on test users.
curl -X POST "https://api.descope.com/v1/mgmt/tests/generate/enchantedlink" \ -H "Content-Type: application/json" \ -d '{}'{ "loginId": "string", "link": "string", "pendingRef": "string"}export interface Response {loginId?: stringlink?: stringpendingRef?: string}Generate Magic Link POST
### Generate a Magic Link for a test user. This endpoint is used to generate a Magic Link for a test user. You can define whether this is sent via email or sms. Once you generate the Magic Link Token must be verified via [verify token](/api/magic-link/verification/verify-token) ### See Also - See [Magic link Authentication](/api/magiclink/) for details about implementing magic links. - See [Create a user](/api/management/users/create-user) with the `test` flag set to true to set it as a test user. - See [Manage Test Users](/manage/testusers/) for more information on test users.
Delete All Test Users DELETE
### Delete all test users This endpoint is used to delete all test users from a project. This action will delete these users forever and they will not be recoverable. ### See Also - See [Manage Test Users](/manage/testusers/) for more information on test users.